Skip to main content
`Ctrl`+`K`

# SVDReset

Resets the `SVD` context to the initial state (prior to setup) and destroys any allocated `Vec`s and `Mat`s.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDReset(SVD svd)

Collective

## Input Parameter

- svd - the singular value solver context

## See Also

SVD: Singular Value Decomposition, `SVDDestroy()`

## Level

advanced

## Location

src/svd/interface/svdbasic.c

## Implementations

SVDReset_Cross() in src/svd/impls/cross/cross.c
SVDReset_Cyclic() in src/svd/impls/cyclic/cyclic.c
SVDReset_Elemental() in src/svd/impls/external/elemental/svdelemen.cxx
SVDReset_KSVD() in src/svd/impls/external/ksvd/svdksvd.c
SVDReset_PRIMME() in src/svd/impls/external/primme/svdprimme.c
SVDReset_ScaLAPACK() in src/svd/impls/external/scalapack/svdscalap.c
SVDReset_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages